Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.VariableDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.VariableDeclarationContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableDeclarationContext (ParserRuleContext parent, int invokingState)`
    `VariableDeclarationContext (ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `TerminalNode` | `ASSIGN()`
    `` | `Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `ClassifiedModifiersContext` | `classifiedModifiers()`
    `` | `int` | `getRuleIndex()`
    `` | `List<? extends NlsContext>` | `nls()`
    `` | `NlsContext` | `nls(int i)`
    `` | `TypeContext` | `type()`
    `` | `TypeNamePairsContext` | `typeNamePairs()`
    `` | `VariableDeclaratorsContext` | `variableDeclarators()`
    `` | `VariableInitializerContext` | `variableInitializer()`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public VariableDeclarationContext(ParserRuleContext parent, int invokingState)

    - #### public VariableDeclarationContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### public TerminalNode ASSIGN()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ClassifiedModifiersContext classifiedModifiers()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public TypeContext type()

    - #### public TypeNamePairsContext typeNamePairs()

    - #### public VariableDeclaratorsContext variableDeclarators()

    - #### public VariableInitializerContext variableInitializer()